=== Source/DSPTool/CMakeLists.txt ===
add_executable(dsptool DSPTool.cpp)
target_link_libraries(dsptool core)
if(NOT APPLE)
	install(TARGETS dsptool RUNTIME DESTINATION ${bindir})
endif()
