=== debian/changelog ===
dolphin-emu (5.0+dfsg-2build1) bionic; urgency=medium

  * No-change rebuild against libmbedcrypto1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 20 Feb 2018 08:45:06 +0000

dolphin-emu (5.0+dfsg-2) unstable; urgency=medium

  * debian/compat:
    - Use debhelper compat 10.
  * debian/control:
    - Bump standards version to 4.1.1.
    - Use secure homepage URL.
  * debian/patches:
    - Add patch to fix FTBFS with glibc 2.26.
    - Refresh gtest patch.

 -- James Cowgill <jcowgill@debian.org>  Wed, 25 Oct 2017 23:29:11 +0100

dolphin-emu (5.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Upstream 5.0 branch to unstable.

  * debian/control:
    - Build-Depend on libcurl for analytics.
  * debian/copyright:
    - Exclude Externals/curl and Installer/vcredist
  * debian/rules:
    - Remove -DDOLPHIN_WC hacks.
    - Add -DDISTRIBUTOR option.

 -- James Cowgill <jcowgill@debian.org>  Fri, 24 Jun 2016 11:43:52 +0100

dolphin-emu (5.0~rev9237+dfsg-1) experimental; urgency=medium

  * New upstream development snapshot.

  * debian/control:
    - Use my debian.org email address.
    - Bump standards to 3.9.8 - no changes.
    - Remove mention of Triforce from package description. The 5.0 branch
      hasn't supported Triforce games for some time.
    - Mark dolphin-emu-data as Multi-Arch: foreign.
  * debian/copyright:
    - Remove non-free Externals/d3dx12.
  * debian/dolphin-emu.install:
    - Install upstream provided man page and remove local copy.
    - Install upstream provided udev rules.
    - Install upstream provided .png and .svg icons. (LP: 1575365)
  * debian/patches:
    - Refresh shared gtest patch (version applied upstream does not work on
      Debian systems).
    - Drop remove-shebang-desktop-file.patch - applied upstream.
  * debian/rules, debian/watch:
    - Remove get-orig-source target - use uscan instead.
    - Add compression and repack options to watch file.

 -- James Cowgill <jcowgill@debian.org>  Thu, 28 Apr 2016 10:38:27 +0100

dolphin-emu (5.0~rev8631+dfsg-1) experimental; urgency=medium

  * New upstream snapshot.
    - Upstream abandoned their original attempt at releasing 5.0 and have now
      opted for a feature freeze on the main development branch.
  * Replace non-free debugger icons with free alternatives from MonoDevelop.

  * debian/README.Debian:
    - Rewrite, most of the original content was only relevant to 4.0.
  * debian/control:
    - Switch from polarssl to mbedtls.
    - Use secure Vcs-* URLs.
  * debian/copyright:
    - Remove dead email address of Anders Johansson (ajh@atri.curtin.edu.au).
    - Update for new files since 5.0 rc33.
  * debian/dolphin-emu.menu:
    - Remove per tech-ctte decision (See #741573).

 -- James Cowgill <james410@cowgill.org.uk>  Fri, 08 Jan 2016 22:28:13 +0000

dolphin-emu (5.0~rc33+dfsg-1) experimental; urgency=medium

  * New upstream release candidate.
  * Trigger rebuild to fix undefined soundtouch symbol error (see #799402).

  * debian/copyright:
    - Merge 4.0 branch (remove Boomy theme).
    - Add copyright info to numerous files - Thanks Sérgio Benjamim.
  * debian/dolphin-emu.6:
    - Update for 5.0.

 -- James Cowgill <james410@cowgill.org.uk>  Thu, 01 Oct 2015 11:49:33 +0100

dolphin-emu (5.0~rc27+dfsg-1) experimental; urgency=medium

  * New upstream release candidate.

  * debian/control:
    - Drop armhf and i386 from architecture list. Add arm64.
    - Update build dependencies.
  * debian/copyright:
    - Update for 5.0.
  * debian/dolphin-emu.docs:
    - Install Readme.md instead of Readme.txt.
  * debian/gc-fonts:
    - Remove directory - fonts are now upstream.
  * debian/patches:
    - Drop patches applied upstream.
    - Add patch to allow tests to build against a shared copy of gtest.
    - Add patch to remove shebang from desktop file.
  * debian/rules:
    - Enable running unittests at build time.
  * debian/watch:
    - Only match released versions of dolphin.

 -- James Cowgill <james410@cowgill.org.uk>  Thu, 17 Sep 2015 15:59:13 +0100
