=== debian/control ===
Source: dolphin-emu
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Brandon Barnes <winterknight@email.com>,
 James Cowgill <jcowgill@debian.org>
Build-Depends:
 debhelper (>= 10),
 cmake,
 dpkg-dev (>= 1.17.17),
 gettext,
 libao-dev,
 libasound2-dev,
 libavcodec-dev,
 libavformat-dev,
 libavutil-dev,
 libbluetooth-dev,
 libcurl4-gnutls-dev,
 libenet-dev,
 libevdev-dev,
 libgl1-mesa-dev,
 libgtest-dev,
 libgtk2.0-dev,
 liblzo2-dev,
 libmbedtls-dev (>= 2.1.1),
 libminiupnpc-dev (>= 1.7),
 libopenal-dev,
 libpng-dev,
 libpulse-dev,
 libsfml-dev (>= 2.1),
 libsoil-dev,
 libsoundtouch-dev,
 libswscale-dev,
 libwxgtk3.0-dev,
 libx11-dev,
 libxi-dev (>= 2:1.5),
 libxrandr-dev,
 libudev-dev,
 libusb-1.0-0-dev,
 lsb-release,
 pkg-config,
 portaudio19-dev,
 zlib1g-dev
Standards-Version: 4.1.1
Homepage: https://dolphin-emu.org/
Vcs-Git: https://anonscm.debian.org/git/pkg-games/dolphin-emu.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/dolphin-emu.git

Package: dolphin-emu
Architecture: amd64 arm64
Depends: ${shlibs:Depends}, ${misc:Depends}, dolphin-emu-data (= ${source:Version})
Description: Gamecube and Wii emulator
 Dolphin is an emulator for two recent Nintendo video game consoles: the
 GameCube and the Wii. It allows PC gamers to enjoy games for these two
 consoles in full HD (1080p) with several enhancements: compatibility with all
 PC controllers, turbo speed, networked multiplayer, and even more.

Package: dolphin-emu-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: dolphin-emu
Description: Gamecube and Wii emulator - data files
 Dolphin is an emulator for two recent Nintendo video game consoles: the
 GameCube and the Wii. It allows PC gamers to enjoy games for these two
 consoles in full HD (1080p) with several enhancements: compatibility with all
 PC controllers, turbo speed, networked multiplayer, and even more.
 .
 This package contains the platform independent data files for Dolphin.
