=== debian/rules ===
#!/usr/bin/make -f

# dolphin does not work with -fPIE
export DEB_BUILD_MAINT_OPTIONS := hardening=+all,-pie
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

# distributor is used by the opt-in analytics
ifeq ($(shell dpkg-vendor --derives-from Ubuntu; echo $$?),0)
	DISTRIBUTOR := ubuntu.com
else
	DISTRIBUTOR := debian.org
endif

CMAKE_OPTIONS := \
	-Dbindir=/usr/games \
	-Ddatadir=/usr/share/games/dolphin-emu \
	-DDISTRIBUTOR=$(DISTRIBUTOR) \
	-DUSE_SHARED_ENET=ON \
	-DGTEST_DIR=/usr/src/gtest

%:
	dh $@ -Bbuild

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_OPTIONS)

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	CTEST_OUTPUT_ON_FAILURE=1 $(MAKE) -C build unittests
endif
