=== debian/watch ===
version=3
opts=repack,compression=xz,filenamemangle=s/.+\/v?(\d[\d.]*)\.tar\.gz/dolphin-$1\.tar\.gz/,dversionmangle=s/\+dfsg\d?$//,repacksuffix=+dfsg \
  https://github.com/dolphin-emu/dolphin/tags .*/v?(\d[\d.]*)\.tar\.gz
