## dolphin-emu 5.0-17995

=== debian/changelog ===
dolphin-emu (5.0-17995-1) unstable; urgency=low

  [ Sébastien Noel ]
  * New GIT snapshot (8ecfa537a2).
  * Switch to the QT5 backend.

  [ Jordi Mallach ]
  * Team upload.
  * New upstream beta release (closes: #986739).
    - builds with ffmpeg 5.0 (closes: #976530)
    - no longer uses wxwidgets (closes: #1019781)
    - fixes initially stuck controller axes (closes: #802947)
    - rebuilt against newer libmbed (closes: #1025798)
  * Refresh patches.
  * Use system cubeb.
  * Switch to Qt6.
  * Install dolphin-emu-nogui and dolphin-tool.
  * Update copyright file.
  * Go back to using external Vulkan and VulkanMemoryAllocator.
  * Update DOLPHIN_WC_DESCRIBE and _WC_REVISION definitions.
  * Enable building against system gtest.
  * Enable tests (closes: #976530).
  * Switch Build-Depends from libgl1-mesa-dev to libgl-dev.
  * Update copyright years.
  * Drop definition of DEB_LDFLAGS_MAINT_APPEND, as --as-needed is now the
    default.
  * Add myself to Uploaders.
  * Switch to debhelper compat v13.
  * Update Standards-Version to 4.5.0 (for now).
  * Remove obsolete include-binaries definition.

 -- Jordi Mallach <jordi@debian.org>  Thu, 02 Feb 2023 13:01:47 +0100

dolphin-emu (5.0+dfsg-6) unstable; urgency=medium

  * Switch to the GTK+3 wxWidgets backend. (Closes: #933428)

  * d/control:
    - Bump debhelper compat to 12.
    - Bump standards version to 4.4.0.

 -- James Cowgill <jcowgill@debian.org>  Tue, 30 Jul 2019 21:38:18 +0100

dolphin-emu (5.0+dfsg-5) unstable; urgency=medium

  * d/patches:
    - Add patch to fix FTBFS with soundtouch 2.1.2. (Closes: #917671)

 -- James Cowgill <jcowgill@debian.org>  Wed, 02 Jan 2019 09:13:09 +0000

dolphin-emu (5.0+dfsg-4) unstable; urgency=medium

  * d/control:
    - Set Rules-Requires-Root: no.
    - Bump standards version to 4.2.1.
  * d/patches:
    - Add patch to fix FTBFS with googletest 1.8.1. (Closes: #910268)

 -- James Cowgill <jcowgill@debian.org>  Thu, 04 Oct 2018 21:49:21 +0100

dolphin-emu (5.0+dfsg-3) unstable; urgency=medium

  * debian/compat: Use debhelper compat 11.
  * debian/control:
    - Switch Vcs URLs to salsa.debian.org.
    - Bump standards version to 4.1.4.
  * debian/copyright: Use secure URLs.
  * debian/patches:
    - Apply upstream patch to fix FTBFS with GCC 8. (Closes: #897740)
  * debian/source/local-options: Remove.

 -- James Cowgill <jcowgill@debian.org>  Wed, 09 May 2018 21:35:51 +0100
