=== debian/control ===
--- 
+++ 
@@ -1,52 +1,63 @@
 Source: dolphin-emu
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Brandon Barnes <winterknight@email.com>,
- James Cowgill <jcowgill@debian.org>
+ James Cowgill <jcowgill@debian.org>,
+ Jordi Mallach <jordi@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 13),
  cmake,
- dpkg-dev (>= 1.17.17),
  gettext,
+ glslang-dev,
  libao-dev,
  libasound2-dev,
  libavcodec-dev,
  libavformat-dev,
  libavutil-dev,
  libbluetooth-dev,
- libcurl4-gnutls-dev,
+ libbz2-dev,
+ libcubeb-dev,
+ libcurl4-openssl-dev,
  libenet-dev,
  libevdev-dev,
- libgl1-mesa-dev,
+ libfmt-dev (>= 7.0),
+ libgl-dev,
  libgtest-dev,
- libgtk2.0-dev,
+ libhidapi-dev,
+ libimgui-dev,
  liblzo2-dev,
+ liblzma-dev,
  libmbedtls-dev (>= 2.1.1),
  libminiupnpc-dev (>= 1.7),
+ libmgba-dev (>= 0.10.0),
  libopenal-dev,
- libpng-dev,
  libpulse-dev,
+ libpugixml-dev,
  libsfml-dev (>= 2.1),
  libsoil-dev,
- libsoundtouch-dev,
  libswscale-dev,
- libwxgtk3.0-dev,
+ libsystemd-dev,
+ libvulkan-dev,
  libx11-dev,
  libxi-dev (>= 2:1.5),
  libxrandr-dev,
+ libxxhash-dev,
  libudev-dev,
  libusb-1.0-0-dev,
+ libzstd-dev,
  lsb-release,
  pkg-config,
  portaudio19-dev,
+ qt6-base-private-dev,
+ picojson-dev,
  zlib1g-dev
-Standards-Version: 4.1.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://dolphin-emu.org/
-Vcs-Git: https://anonscm.debian.org/git/pkg-games/dolphin-emu.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/dolphin-emu.git
+Vcs-Git: https://salsa.debian.org/games-team/dolphin-emu.git
+Vcs-Browser: https://salsa.debian.org/games-team/dolphin-emu
 
 Package: dolphin-emu
 Architecture: amd64 arm64
