=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 
 # dolphin does not work with -fPIE
 export DEB_BUILD_MAINT_OPTIONS := hardening=+all,-pie
-export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
 
 # distributor is used by the opt-in analytics
 ifeq ($(shell dpkg-vendor --derives-from Ubuntu; echo $$?),0)
@@ -16,7 +15,11 @@
 	-Ddatadir=/usr/share/games/dolphin-emu \
 	-DDISTRIBUTOR=$(DISTRIBUTOR) \
 	-DUSE_SHARED_ENET=ON \
-	-DGTEST_DIR=/usr/src/gtest
+	-DUSE_DISCORD_PRESENCE=0 \
+	-DUSE_MGBA=1 \
+	-DENABLE_TESTS=1 \
+	-DGTEST_DIR=/usr/src/gtest \
+	-DDOLPHIN_WC_BRANCH=master -DDOLPHIN_WC_DESCRIBE=5.0-17995-g8bad821019 -DDOLPHIN_WC_REVISION=8bad821019721b9b72701b495da95656ace5fea5
 
 %:
 	dh $@ -Bbuild
